#!/bin/bash

tpm_awk_script='
!/pam_tpm\.so/ {
	next
}

/^($|[[:space:]]*#)/ {
	next
}

/pam_tpm\.so/ {
	if (match($0,/\s*tpm\s*=\s*\S+/)) {
		print gensub(/[^#]*\s*tpm\s*=\s*(\S+)\s*.*/,"\\1","")
		exit # Find the first of TPM plugins
	}
}
'
setup_config () {
  # parameters to support fly-dm customization
  KDMRC=/etc/X11/fly-dm/fly-dmrc
  BACKGROUNDRC=/etc/X11//fly-dm/backgroundrc

  #alex:
  if [ ! -s $KDMRC ]; then
    echo "Файл  ${KDMRC} не существует или нулевого размера. Будет создан сейчас."
    /usr/bin/genfly-dmconf --no-old --no-in-notice  1> /dev/null
  fi
  return 0
}

#fix /var permissions, SIRIUS-40587
if [ -d /var ]; then
 ls -ld /var | grep fly-dm > /dev/null
 if [ $? == "0" ]; then
   userdel fly-dm
   rm -rf  /var/log/fly-dm /var/lib/fly-dm
   chown root:root /var
   chmod g-w,o-w /var

   addgroup --system fly-dm
   adduser  --system --quiet --ingroup fly-dm --home /var/lib/fly-dm  fly-dm

   mkdir /var/log/fly-dm
   mkdir /var/lib/fly-dm
   chown fly-dm:fly-dm /var/log/fly-dm
   chown fly-dm:fly-dm /var/lib/fly-dm
 fi
fi

setup_config

#disable  by default until particular requests
#tpm_plugin=`awk "$tpm_awk_script" < /etc/pam.d/common-auth`
#if [ ! -z $tpm_plugin ]; then
#    #export TPM_PLUGIN=$tpm_plugin
#    /bin/systemctl set-environment TPM_PLUGIN=$tpm_plugin
#fi
